Accounts & connections · Accounts
Fetches follower stats.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the analytics resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIds | string | |
profileId | string | |
fromDate | string (date) | |
toDate | string (date) | |
granularity | string | One of daily, weekly, monthlyDefault daily |
limit | integer | 1 to 25 |
cursor | string |
Example
curl -X GET "https://api.pozy.ai/v1/accounts/follower-stats?limit=1" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/accounts/follower-stats?limit=1", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/accounts/follower-stats",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"limit": 1,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
accountsarray of object25 child fields
_idstringrequiredplatformstringrequiredOne of
tiktok,instagram,facebook,youtube,linkedin,twitter,threads,pinterest,reddit,bluesky,googlebusiness,telegram,snapchat,discord,slack,whatsapp,shopify,wordpress,wix,linkedinads,metaads,pinterestads,tiktokads,xadsand 15 more.profileIdstring or objectrequiredOne of:
string
Profile (11 fields)
_idstringuserIdstringnamestringdescriptionstringcolorstringtimezonestringCan be null.
externalIdstringCan be null.
isDefaultbooleanisOverLimitbooleanaccountCountintegercreatedAtstring (date-time)
usernamestringdisplayNamestringplatformUserIdstringscopeAreasarray of stringCan be null.
oauthAppIdstringCan be null.
tiktokAccountTypestringOne of
business,personal,unknown.profilePicturestringCan be null.
profileUrlstringisActivebooleanrequiredneedsReconnectionbooleanfollowersCountnumberfollowersLastUpdatedstring (date-time)parentAccountIdstringCan be null.
enabledbooleanrateLimitedUntilstring (date-time)Can be null.
metadataobjectcurrentFollowersnumberlastUpdatedstring (date-time)growthnumbergrowthPercentagenumberdataPointsnumberaccountStatsobject11 child fields
followingCountnumbermediaCountnumbervideoCountnumbertweetCountnumberpostsCountnumberpinCountnumbertotalViewsnumberlikesCountnumbermonthlyViewsnumberlistedCountnumberboardCountnumber
statsmap of array of objectdateRangeobjectfromstring (date-time)tostring (date-time)
granularitystringpaginationobjectlimitintegerrequirednextCursorstringrequiredCan be null.
{
"accounts": [
{
"_id": "635d87e261ae344ef27fd1df",
"platform": "tiktok",
"profileId": "6a0b6573846efc28aaa9a3ff",
"username": "acme",
"displayName": "Acme",
"platformUserId": "60c5beb6ca4037bb9ff5117a",
"scopeAreas": [
"string"
],
"oauthAppId": "629a39de8c0a63af5a05067c",
"tiktokAccountType": "business",
"profilePicture": "string",
"profileUrl": "https://pozy.ai/media/example-1.jpg",
"isActive": true,
"needsReconnection": true,
"followersCount": 12.5,
"followersLastUpdated": "2026-10-02T09:00:00.000Z",
"parentAccountId": "6ce971ffa48fe63468db336b",
"enabled": true,
"rateLimitedUntil": "2026-10-02T09:00:00.000Z",
"metadata": {},
"currentFollowers": 12.5,
"lastUpdated": "2026-10-02T09:00:00.000Z",
"growth": 12.5,
"growthPercentage": 12.5,
"dataPoints": 12.5,
"accountStats": {
"followingCount": 12.5,
"mediaCount": 12.5,
"videoCount": 12.5,
"tweetCount": 12.5,
"postsCount": 12.5,
"pinCount": 12.5,
"totalViews": 12.5,
"likesCount": 12.5,
"monthlyViews": 12.5,
"listedCount": 12.5,
"boardCount": 12.5
}
}
],
"stats": {
"key": [
{
"date": "2026-10-02T09:00:00.000Z",
"followers": 12.5
}
]
},
"dateRange": {
"from": "2026-10-02T09:00:00.000Z",
"to": "2026-10-02T09:00:00.000Z"
},
"granularity": "string",
"pagination": {
"limit": 1,
"nextCursor": "string"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.